Bug 523491 - setroubleshoot: SELinux is preventing abrtd "remove_name" access on ccpp-1252536968-1835.lock.
Summary: setroubleshoot: SELinux is preventing abrtd "remove_name" access on ccpp...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:48908038b17...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-15 17:39 UTC by Jay Fenlason
Modified: 2014-08-31 23:29 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-15 19:42:06 UTC


Attachments (Terms of Use)

Description Jay Fenlason 2009-09-15 17:39:38 UTC
The following was filed automatically by setroubleshoot:

Summary:

SELinux is preventing abrtd "remove_name" access on ccpp-1252536968-1835.lock.

Detailed Description:

SELinux denied access requested by abrtd. It is not expected that this access is
required by abrtd and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report (http://bugzilla.redhat.com/bugzilla/enter_bug.cgi) against this package.

Additional Information:

Source Context                system_u:system_r:initrc_t:s0
Target Context                system_u:object_r:abrt_var_cache_t:s0
Target Objects                ccpp-1252536968-1835.lock [ dir ]
Source                        abrtd
Source Path                   <Unknown>
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.30-4.fc12
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.31-0.204.rc9.fc12.i686.PAE #1 SMP Sat Sep 5
                              20:45:47 EDT 2009 i686 i686
Alert Count                   8
First Seen                    Wed 09 Sep 2009 05:05:45 PM EDT
Last Seen                     Wed 09 Sep 2009 06:59:50 PM EDT
Local ID                      e93aabcb-8379-4510-afb6-edbb29e92267
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1252530345.166:17): avc:  denied  { remove_name } for  pid=1300 comm="abrtd" name="ccpp-1252536968-1835.lock" dev=sda6 ino=743 scontext=system_u:system_r:initrc_t:s0 tcontext=system_u:object_r:abrt_var_cache_t:s0 tclass=dir

node=(removed) type=AVC msg=audit(1252530345.166:17): avc:  denied  { unlink } for  pid=1300 comm="abrtd" name="ccpp-1252536968-1835.lock" dev=sda6 ino=743 scontext=system_u:system_r:initrc_t:s0 tcontext=system_u:object_r:abrt_var_cache_t:s0 tclass=file


audit2allow suggests:

#============= initrc_t ==============
allow initrc_t abrt_var_cache_t:dir remove_name;
allow initrc_t abrt_var_cache_t:file unlink;

Comment 1 Daniel Walsh 2009-09-15 19:42:06 UTC
Fixed in selinux-policy-3.6.31-2.fc12.noarch


Note You need to log in before you can comment on or make changes to this bug.